Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2023-12-20 00:23:20 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2023-12-20 00:23:20 +0300
commitec2d2ecdf734e48f6603c90aea01abc67c6bb293 (patch)
treedffc3ea9b5e771785f4e9cc712a68aff76b9079e /scripts
parent39406b41a6f3178feea7153bb2ce7343bc193e93 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/validate-monorepo-gem17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/validate-monorepo-gem b/scripts/validate-monorepo-gem
new file mode 100755
index 00000000000..9c379072102
--- /dev/null
+++ b/scripts/validate-monorepo-gem
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if [[ $# -ne 1 ]]; then
+ echo "usage: $0 <gem-name>"
+ exit 1
+fi
+
+if gem specification --remote --ruby "$1"; then
+ exit 0
+fi
+
+if gem specification --remote --ruby --pre "$1"; then
+ exit 0
+fi
+
+echo "The '$1' is missing. Push stub gem to RubyGems with version 0.0.1."
+exit 1